# SyncEvent::wait

(PECL sync >= 1.0.0)

SyncEvent::wait — Waits for the event to be fired/set

### Description

public SyncEvent::wait ([ int `$wait` = -1 ] ) : bool

Waits for the SyncEvent object to be fired.

### Parameters

`wait`

  The number of milliseconds to wait for the event to be fired. A value of -1 is infinite.

### Return Values

A boolean of TRUE if the event was fired, FALSE otherwise.

### Examples

Example #1 SyncEvent::wait() example

`<?php
// In a web application:
$event = new SyncEvent("GetAppReport");
$event->fire();
// In a cron job:
$event = new SyncEvent("GetAppReport");
$event->wait();
?>`

### See Also

- SyncEvent::fire() - Fires/sets the event